version: "3"
services:
  pg14_master:
    build: ./master
    volumes:
      - pg14_data_vol:/var/lib/postgresql/data
    environment:
      - POSTGRES_USER=hubasac
      - POSTGRES_PASSWORD=@sacHub2022
      - POSTGRES_DB=hubasac
      - PG_REP_USER=rep
      - PG_REP_PASSWORD=@sacHub2022
    networks:
      default:
        aliases:
          - pg14_cluster_net
    ports:
      - 5432:5432
  pg14_slave:
    build: ./slave
    environment:
      - POSTGRES_USER=hubasac
      - POSTGRES_PASSWORD=@sacHub2022
      - POSTGRES_DB=hubasac
      - PG_REP_USER=rep
      - PG_REP_PASSWORD=@sacHub2022
      - PG_MASTER_HOST=pg14_master
    networks:
      default:
        aliases:
          - pg14_cluster_net
volumes:
  pg14_data_vol: